1. Well formed url/ metadata url
    https://dev-7858070.okta.com/oauth2/default/.well-known/oauth-authorization-server

2. Isssuer URI - https://dev-7858070.okta.com/oauth2/default
   // end user redirection
   Authorization endpoint - https://dev-7858070.okta.com/oauth2/default/v1/authorize
   //client application
   Token endpoint- https://dev-7858070.okta.com/oauth2/default/v1/token

   client-id - 0oa5zuggpixxr5aQ45d7
   client-secret - V-dfWtYXjhMp0T5gbQAODxeOEoDgBatRTV7s3V8y


https://dev-7858070.okta.com/oauth2/default/v1/authorize?client_id=0oa5zuggpixxr5aQ45d7&response_type=code&redirect_uri=http%3A%2F%2Flocalhost%3A8555%2Fauthorization-code%2Fcallback&state=5e2fde55-891e-4fe5-a9a5-65c9914f58a5

http://localhost:8555/authorization-code/callback?code=AvzjyDkEups16Hzf3gRF1rjIM2nbGa42fbmd_9LfvPM&state=5e2fde55-891e-4fe5-a9a5-65c9914f58a5


auth code - AvzjyDkEups16Hzf3gRF1rjIM2nbGa42fbmd_9LfvPM

curl --location --request POST 'https://dev-7858070.okta.com/oauth2/default/v1/token' \
--header 'Authorization: Basic MG9hNXp1Z2dwaXh4cjVhUTQ1ZDc6Vi1kZld0WVhqaE1wMFQ1Z2JRQU9EeGVPRW9EZ0JhdFJUVjdzM1Y4eQ==' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Cookie: JSESSIONID=205E42E84D3E93D89468DA7D59FA3CAF' \
--data-urlencode 'grant_type=authorization_code' \
--data-urlencode 'redirect_uri=http://localhost:8555/authorization-code/callback' \
--data-urlencode 'code=kc2_jtUIXi1qOgXnibg9cmfKHcrA90-PTgCvHSmZB6w'


